%define module	IPC-Run
%define name	perl-%{module}
%define version 0.80
%define release %mkrel 1
%define _requires_exceptions Win32

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/IPC/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
IPC::Run allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed.

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided.

%prep
%setup -q -n %{module}-%{version}
chmod 644 Changes
chmod 755 eg/*
perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' eg/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes TODO eg
%{perl_vendorlib}/IPC
%{_mandir}/*/*



%changelog

* Thu May 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdk
- New release 0.80
- better source URL

* Mon Jan 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.79-2mdk
- %%mkrel
- fix directory ownership
- spec cleanup
- correct sample scripts perms

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.79-1mdk
- 0.79
- Fix description and URL
- Don't include arch-specific subdirectories
- Add examples in the documentation

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-2mdk 
- rebuild

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-1mdk
- new version
- rpmbuildupdate aware
- make test

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.75-4mdk
- fixed dir ownership (distlint)

* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.75-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.75-2mdk
- rebuild for new auto{prov,req}

